## opgpcard 0.1.4

=== requirements.txt ===
gpg==1.8.0
lxml==4.1.1
qrcode==5.3

=== debian/changelog ===
opgpcard (0.1.4-1) unstable; urgency=low

  * Initial import. Closes: #899164.

 -- ju xor <ju@riseup.net>  Sat, 02 Jun 2018 15:02:35 +0000

=== debian/control ===
Source: opgpcard
Maintainer: ju xor <ju@riseup.net>
Section: misc
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 libgpgme-dev,
 python3,
 python3-all,
 python3-gpg,
 python3-lxml,
 python3-qrcode,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/opgpcard
Vcs-Git: https://salsa.debian.org/debian/opgpcard.git
Homepage: https://github.com/juga0/opgpcard

Package: opgpcard
Architecture: all
Depends:
 python3-gpg,
 python3-lxml,
 python3-qrcode,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: tool to create printable business cards including OpenPGP
 Tool to create VCard, QR code and/or SVG printable business cards
 including OpenPGP key and fingerprint.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=opgpcard
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/source/ build/html # HTML generator

=== debian/watch ===
# please also check http://pypi.debian.net/opgpcard/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/, \
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/opgpcard-$1\.tar\.gz/ \
  https://github.com/juga0/opgpcard/tags .*/v?(\d\S+)\.tar\.gz

## opgpcard 0.3.0

=== Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = opgpcard
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== requirements.txt ===
lxml>=4.1
qrcode>=5.3

=== debian/changelog ===
opgpcard (0.3.0-2) unstable; urgency=medium

  [ juxor ]
  * Make documentation reproducible
    replacing paths depending on the current directory.
    Patch provided by lamby.
    Closes: #902270
  * d/control: Bump debhelper compat level to 13
  * d/control: Bump standards version to 4.5.1
    no changes needed.
  * d/control: Add no root required
  * d/watch: Bump to version 4

 -- ju xor <ju@riseup.net>  Sun, 29 Nov 2020 19:55:03 +0000

opgpcard (0.3.0-1) unstable; urgency=medium

  [juxor]
  * Bump debhelper to 12
  * d/control: Bump standards-version to 4.3.0
  * d/control: Add Built-Using
  * d/copyright: Update year
  * d/copyright: Remove Files-Exclude: *.egg-info.
    They are removed by d/clean.
  * d/manpages: Create man from sphinx
    and change build path to docs/build
  * d/source/lintian-overrides: Do not check examples
    they are included in the package in html/images.
  * d/watch: Remove duplicated "opts"
  * New upstream version
  * d/patches: Remove privacy breach patch
  * d/control, d/compat: Update debhelper format
  * d/control: Bump standards-version to 4.4.0
  * d/watch: Fix format, missing quotes

  [Ondřej Nový]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/watch: Use https protocol

 -- ju xor <ju@riseup.net>  Sun, 15 Sep 2019 08:29:19 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  libgpgme-dev,
  python3,
@@ -13,7 +13,8 @@
  python3-qrcode,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/opgpcard
 Vcs-Git: https://salsa.debian.org/debian/opgpcard.git
 Homepage: https://github.com/juga0/opgpcard
@@ -26,7 +27,8 @@
  python3-qrcode,
  ${misc:Depends},
  ${python3:Depends},
- ${sphinxdoc:Depends},
+ ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using},
 Description: tool to create printable business cards including OpenPGP
  Tool to create VCard, QR code and/or SVG printable business cards
  including OpenPGP key and fingerprint.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=opgpcard
export PYBUILD_DESTDIR=debian/opgpcard
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source/ docs/build/html # HTML generator
	find build/html -type f -name '*.html' -print0 | xargs -0r sed -i -e 's@$(CURDIR)/@@g'
	PYTHONPATH=. sphinx-build -N -bman docs/source/ docs/build/man # man generator

=== debian/watch ===
# please also check https://pypi.debian.net/opgpcard/watch
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/, \
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/opgpcard-$1\.tar\.gz/" \
  https://github.com/juga0/opgpcard/tags .*/v?(\d\S+)\.tar\.gz
